Trang chủ API cho nhà phát triển

Tài liệu API dành cho Nhà phát triển.
Tích hợp dễ dàng & Tự động hóa mạnh mẽ.

REST API đầy đủ tính năng giúp bạn rút gọn liên kết, tạo mã QR và truy xuất dữ liệu phân tích trực tiếp từ ứng dụng của bạn.

Bắt đầu sử dụng API

Mỗi yêu cầu gửi đến hệ thống API cần phải có API Key hợp lệ. Sau khi đăng ký tài khoản, bạn sẽ được tự động tạo một API Key. Vui lòng bảo mật API Key này và không để lộ trong mã nguồn công khai để tránh bị lạm dụng.

Xác thực (Authentication)

Để xác thực với hệ thống API, bạn cần gửi kèm API Key dưới dạng Bearer Token trong tiêu đề Authorization của mỗi yêu cầu.

Authorization: Bearer YOUR_API_KEY
curl --location --request POST 'https://bitly.com.vn/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 
$curl = curl_init();
curl_setopt_array($curl, array(
    CURLOPT_URL => "https://bitly.com.vn/api/account",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_MAXREDIRS => 2,
    CURLOPT_TIMEOUT => 10,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_HTTPHEADER => [
        "Authorization: Bearer YOURAPIKEY",
        "Content-Type: application/json",
    ],
));

$response = curl_exec($curl);
var request = require('request');
var options = {
    'method': 'POST',
    'url': 'https://bitly.com.vn/api/account',
    'headers': {
        'Authorization': 'Bearer YOURAPIKEY',
        'Content-Type': 'application/json'
    },
    body: ''
};
request(options, function (error, response) {
    if (error) throw new Error(error);
    console.log(response.body);
});
import requests
url = "https://bitly.com.vn/api/account"
payload = {}
headers = {
  'Authorization': 'Bearer YOURAPIKEY',
  'Content-Type': 'application/json'
}
response = requests.request("GET", url, headers=headers, json=payload)
print(response.text)
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/account");
request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());    

Giới hạn lượt gọi (Rate Limit)

Tùy thuộc vào gói dịch vụ bạn đăng ký, tài khoản của bạn sẽ có mức giới hạn số lượt gọi API nhất định theo phút hoặc theo tháng. Nếu vượt quá giới hạn, mã lỗi HTTP 429 Too Many Requests sẽ được trả về.

Định dạng phản hồi (Response Handling)

Mọi phản hồi từ hệ thống đều ở định dạng JSON tiêu chuẩn. Nếu có lỗi xảy ra, trường error sẽ mang giá trị 1 kèm theo mô tả lỗi chi tiết.

{
"error": 1,
"message": "An error occurred"
              }

Account

Get Account
GET https://bitly.com.vn/api/account

To get information on the account, you can send a request to this endpoint and it will return data on the account.

curl --location --request GET 'https://bitly.com.vn/api/account' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/account",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/account',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/account"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/account");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "data": {
        "id": 1,
        "email": "sample@domain.com",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}
Update Account
PUT https://bitly.com.vn/api/account/update

To update information on the account, you can send a request to this endpoint and it will update data on the account.

curl --location --request PUT 'https://bitly.com.vn/api/account/update' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "email": "newemail@google.com",
    "password": "newpassword"
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/account/update",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "PUT",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "email": "newemail@google.com",
	    "password": "newpassword"
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'PUT',
            'url': 'https://bitly.com.vn/api/account/update',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "email": "newemail@google.com",
    "password": "newpassword"
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/account/update"
        payload = {
    "email": "newemail@google.com",
    "password": "newpassword"
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("PUT", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Put, "https://bitly.com.vn/api/account/update");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "email": "newemail@google.com",
    "password": "newpassword"
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Account has been successfully updated."
}

Chiến dịch

List Campaigns
GET https://bitly.com.vn/api/campaigns?limit=2&page=1

To get your campaigns via the API, you can use this endpoint. You can also filter data (See table for more info).

Tham số Mô tả
limit (optional) Per page data result
page (optional) Current page request
curl --location --request GET 'https://bitly.com.vn/api/campaigns?limit=2&page=1' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/campaigns?limit=2&page=1",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/campaigns?limit=2&page=1',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/campaigns?limit=2&page=1"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/campaigns?limit=2&page=1");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}
Tạo chiến dịch
POST https://bitly.com.vn/api/campaign/add

A campaign can be added using this endpoint.

Tham số Mô tả
name (optional) Campaign name
slug (optional) Rotator Slug
public (optional) Access
curl --location --request POST 'https://bitly.com.vn/api/campaign/add' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/campaign/add",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "name": "New Campaign",
	    "slug": "new-campaign",
	    "public": true
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'POST',
            'url': 'https://bitly.com.vn/api/campaign/add',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/campaign/add"
        payload = {
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("POST", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Post, "https://bitly.com.vn/api/campaign/add");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
POST https://bitly.com.vn/api/campaign/:campaignid/assign/:linkid

A short link can be assigned to a campaign using this endpoint. The endpoint requires the campaign ID and the short link ID.

curl --location --request POST 'https://bitly.com.vn/api/campaign/:campaignid/assign/:linkid' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/campaign/:campaignid/assign/:linkid",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'POST',
            'url': 'https://bitly.com.vn/api/campaign/:campaignid/assign/:linkid',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/campaign/:campaignid/assign/:linkid"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("POST", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Post, "https://bitly.com.vn/api/campaign/:campaignid/assign/:linkid");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Link successfully added to the campaign."
}
Cập nhật chiến dịch
PUT https://bitly.com.vn/api/campaign/:id/update

To update a campaign, you need to send a valid data in JSON via a PUT request. The data must be sent as the raw body of your request as shown below. The example below shows all the parameters you can send but you are not required to send all (See table for more info).

Tham số Mô tả
name (required) Campaign name
slug (optional) Rotator Slug
public (optional) Access
curl --location --request PUT 'https://bitly.com.vn/api/campaign/:id/update' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/campaign/:id/update",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "PUT",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "name": "Twitter Campaign",
	    "slug": "twitter-campaign",
	    "public": true
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'PUT',
            'url': 'https://bitly.com.vn/api/campaign/:id/update',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/campaign/:id/update"
        payload = {
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("PUT", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Put, "https://bitly.com.vn/api/campaign/:id/update");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}
Delete Campaign
DELETE https://bitly.com.vn/api/campaign/:id/delete

To delete a campaign, you need to send a DELETE request.

curl --location --request DELETE 'https://bitly.com.vn/api/campaign/:id/delete' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/campaign/:id/delete",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "DELETE",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'DELETE',
            'url': 'https://bitly.com.vn/api/campaign/:id/delete',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/campaign/:id/delete"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("DELETE", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Delete, "https://bitly.com.vn/api/campaign/:id/delete");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

Kênh liên kết

List Channels
GET https://bitly.com.vn/api/channels?limit=2&page=1

To get your channels via the API, you can use this endpoint. You can also filter data (See table for more info).

Tham số Mô tả
limit (optional) Per page data result
page (optional) Current page request
curl --location --request GET 'https://bitly.com.vn/api/channels?limit=2&page=1' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/channels?limit=2&page=1",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/channels?limit=2&page=1',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/channels?limit=2&page=1"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/channels?limit=2&page=1");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}
List Channel Items
GET https://bitly.com.vn/api/channel/:id?limit=1&page=1

To get items in a select channels via the API, you can use this endpoint. You can also filter data (See table for more info).

Tham số Mô tả
limit (optional) Per page data result
page (optional) Current page request
curl --location --request GET 'https://bitly.com.vn/api/channel/:id?limit=1&page=1' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/channel/:id?limit=1&page=1",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/channel/:id?limit=1&page=1',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/channel/:id?limit=1&page=1"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/channel/:id?limit=1&page=1");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/bitly.com.vn\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/bitly.com.vn\/mybio",
                "link": "https:\/\/bitly.com.vn\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}
Tạo kênh
POST https://bitly.com.vn/api/channel/add

A channel can be added using this endpoint.

Tham số Mô tả
name (required) Channel name
description (optional) Channel description
color (optional) Channel badge color (HEX)
starred (optional) Star the channel or not (true or false)
curl --location --request POST 'https://bitly.com.vn/api/channel/add' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/channel/add",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "name": "New Channel",
	    "description": "my new channel",
	    "color": "#000000",
	    "starred": true
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'POST',
            'url': 'https://bitly.com.vn/api/channel/add',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/channel/add"
        payload = {
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("POST", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Post, "https://bitly.com.vn/api/channel/add");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}
Assign an Item to a Channel
POST https://bitly.com.vn/api/channel/:channelid/assign/:type/:itemid

An item can be assigned to any channel by sending a request with the channel id, item type (links, bio or qr) and item id.

Tham số Mô tả
:channelid (required) Channel ID
:type (required) links or bio or qr
:itemid (required) Item ID
curl --location --request POST 'https://bitly.com.vn/api/channel/:channelid/assign/:type/:itemid' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/channel/:channelid/assign/:type/:itemid",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'POST',
            'url': 'https://bitly.com.vn/api/channel/:channelid/assign/:type/:itemid',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/channel/:channelid/assign/:type/:itemid"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("POST", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Post, "https://bitly.com.vn/api/channel/:channelid/assign/:type/:itemid");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Item successfully added to the channel."
}
Cập nhật kênh
PUT https://bitly.com.vn/api/channel/:id/update

To update a channel, you need to send a valid data in JSON via a PUT request. The data must be sent as the raw body of your request as shown below. The example below shows all the parameters you can send but you are not required to send all (See table for more info).

Tham số Mô tả
name (optional) Channel name
description (optional) Channel description
color (optional) Channel badge color (HEX)
starred (optional) Star the channel or not (true or false)
curl --location --request PUT 'https://bitly.com.vn/api/channel/:id/update' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/channel/:id/update",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "PUT",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "name": "Acme Corp",
	    "description": "channel for items for Acme Corp",
	    "color": "#FFFFFF",
	    "starred": false
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'PUT',
            'url': 'https://bitly.com.vn/api/channel/:id/update',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/channel/:id/update"
        payload = {
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("PUT", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Put, "https://bitly.com.vn/api/channel/:id/update");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Channel has been updated successfully."
}
Delete Channel
DELETE https://bitly.com.vn/api/channel/:id/delete

To delete a channel, you need to send a DELETE request. All items will be unassigned as well.

curl --location --request DELETE 'https://bitly.com.vn/api/channel/:id/delete' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/channel/:id/delete",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "DELETE",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'DELETE',
            'url': 'https://bitly.com.vn/api/channel/:id/delete',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/channel/:id/delete"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("DELETE", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Delete, "https://bitly.com.vn/api/channel/:id/delete");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

Lớp phủ CTA

List CTA Overlays
GET https://bitly.com.vn/api/overlay?limit=2&page=1

To get cta overlays via the API, you can use this endpoint. You can also filter data (See table for more info).

Tham số Mô tả
limit (optional) Per page data result
page (optional) Current page request
curl --location --request GET 'https://bitly.com.vn/api/overlay?limit=2&page=1' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/overlay?limit=2&page=1",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/overlay?limit=2&page=1',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/overlay?limit=2&page=1"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/overlay?limit=2&page=1");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Mã QR

List QR codes
GET https://bitly.com.vn/api/qr?limit=2&page=1

To get your QR codes via the API, you can use this endpoint. You can also filter data (See table for more info).

Tham số Mô tả
limit (optional) Per page data result
page (optional) Current page request
curl --location --request GET 'https://bitly.com.vn/api/qr?limit=2&page=1' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/qr?limit=2&page=1",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/qr?limit=2&page=1',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/qr?limit=2&page=1"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/qr?limit=2&page=1");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/bitly.com.vn\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/bitly.com.vn\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}
Get a single QR Code
GET https://bitly.com.vn/api/qr/:id

To get details for a single QR code via the API, you can use this endpoint.

curl --location --request GET 'https://bitly.com.vn/api/qr/:id' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/qr/:id",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/qr/:id',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/qr/:id"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/qr/:id");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/bitly.com.vn\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}
Create a QR Code
POST https://bitly.com.vn/api/qr/add

To create a QR Code, you need to send a valid data in JSON via a POST request. The data must be sent as the raw body of your request as shown below. The example below shows all the parameters you can send but you are not required to send all (See table for more info).

Tham số Mô tả
type (required) text | vcard | link | email | phone | sms | wifi
data (required) Data to be embedded inside the QR code. The data can be string or array depending on the type
background (optional) RGB color e.g. rgb(255,255,255)
foreground (optional) RGB color e.g. rgb(0,0,0)
logo (optional) Path to the logo either png or jpg
name (optional) QR Code name
curl --location --request POST 'https://bitly.com.vn/api/qr/add' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/qr/add",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "type": "link",
	    "data": "https:\/\/google.com",
	    "background": "rgb(255,255,255)",
	    "foreground": "rgb(0,0,0)",
	    "logo": "https:\/\/site.com\/logo.png",
	    "name": "QR Code API"
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'POST',
            'url': 'https://bitly.com.vn/api/qr/add',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/qr/add"
        payload = {
    "type": "link",
    "data": "https://google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https://site.com/logo.png",
    "name": "QR Code API"
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("POST", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Post, "https://bitly.com.vn/api/qr/add");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "id": 3,
    "link": "https:\/\/bitly.com.vn\/qr\/a58f79"
}
Update QR Code
PUT https://bitly.com.vn/api/qr/:id/update

To update a QR Code, you need to send a valid data in JSON via a PUT request. The data must be sent as the raw body of your request as shown below. The example below shows all the parameters you can send but you are not required to send all (See table for more info).

Tham số Mô tả
data (required) Data to be embedded inside the QR code. The data can be string or array depending on the type
background (optional) RGB color e.g. rgb(255,255,255)
foreground (optional) RGB color e.g. rgb(0,0,0)
logo (optional) Path to the logo either png or jpg
curl --location --request PUT 'https://bitly.com.vn/api/qr/:id/update' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/qr/:id/update",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "PUT",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "type": "link",
	    "data": "https:\/\/google.com",
	    "background": "rgb(255,255,255)",
	    "foreground": "rgb(0,0,0)",
	    "logo": "https:\/\/site.com\/logo.png"
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'PUT',
            'url': 'https://bitly.com.vn/api/qr/:id/update',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/qr/:id/update"
        payload = {
    "type": "link",
    "data": "https://google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https://site.com/logo.png"
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("PUT", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Put, "https://bitly.com.vn/api/qr/:id/update");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "QR has been updated successfully."
}
Delete a QR Code
DELETE https://bitly.com.vn/api/qr/:id/delete

To delete a QR code, you need to send a DELETE request.

curl --location --request DELETE 'https://bitly.com.vn/api/qr/:id/delete' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/qr/:id/delete",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "DELETE",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'DELETE',
            'url': 'https://bitly.com.vn/api/qr/:id/delete',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/qr/:id/delete"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("DELETE", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Delete, "https://bitly.com.vn/api/qr/:id/delete");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}

Pixel theo dõi

List Pixels
GET https://bitly.com.vn/api/pixels?limit=2&page=1

To get your pixels codes via the API, you can use this endpoint. You can also filter data (See table for more info).

Tham số Mô tả
limit (optional) Per page data result
page (optional) Current page request
curl --location --request GET 'https://bitly.com.vn/api/pixels?limit=2&page=1' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/pixels?limit=2&page=1",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/pixels?limit=2&page=1',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/pixels?limit=2&page=1"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/pixels?limit=2&page=1");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}
Create a Pixel
POST https://bitly.com.vn/api/pixel/add

A pixel can be created using this endpoint. You need to send the pixel type and the tag.

Tham số Mô tả
type (required) gtmpixel | gapixel | fbpixel | adwordspixel | linkedinpixel | twitterpixel | adrollpixel | quorapixel | pinterest | bing | snapchat | reddit | tiktok
name (required) Custom name for your pixel
tag (required) The tag for the pixel
curl --location --request POST 'https://bitly.com.vn/api/pixel/add' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/pixel/add",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "type": "gtmpixel",
	    "name": "My GTM",
	    "tag": "GTM-ABCDE"
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'POST',
            'url': 'https://bitly.com.vn/api/pixel/add',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/pixel/add"
        payload = {
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("POST", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Post, "https://bitly.com.vn/api/pixel/add");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "id": 1
}
Cập nhật pixel
PUT https://bitly.com.vn/api/pixel/:id/update

To update a pixel, you need to send a valid data in JSON via a PUT request. The data must be sent as the raw body of your request as shown below. The example below shows all the parameters you can send but you are not required to send all (See table for more info).

Tham số Mô tả
name (optional) Custom name for your pixel
tag (required) The tag for the pixel
curl --location --request PUT 'https://bitly.com.vn/api/pixel/:id/update' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/pixel/:id/update",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "PUT",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "name": "My GTM",
	    "tag": "GTM-ABCDE"
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'PUT',
            'url': 'https://bitly.com.vn/api/pixel/:id/update',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/pixel/:id/update"
        payload = {
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("PUT", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Put, "https://bitly.com.vn/api/pixel/:id/update");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Pixel has been updated successfully."
}
Delete Pixel
DELETE https://bitly.com.vn/api/pixel/:id/delete

To delete a pixel, you need to send a DELETE request.

curl --location --request DELETE 'https://bitly.com.vn/api/pixel/:id/delete' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/pixel/:id/delete",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "DELETE",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'DELETE',
            'url': 'https://bitly.com.vn/api/pixel/:id/delete',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/pixel/:id/delete"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("DELETE", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Delete, "https://bitly.com.vn/api/pixel/:id/delete");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

Trang chuyển tiếp tùy chỉnh

List Custom Splash
GET https://bitly.com.vn/api/splash?limit=2&page=1

To get custom splash pages via the API, you can use this endpoint. You can also filter data (See table for more info).

Tham số Mô tả
limit (optional) Per page data result
page (optional) Current page request
curl --location --request GET 'https://bitly.com.vn/api/splash?limit=2&page=1' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/splash?limit=2&page=1",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/splash?limit=2&page=1',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/splash?limit=2&page=1"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/splash?limit=2&page=1");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

Tên miền thương hiệu

List Branded Domains
GET https://bitly.com.vn/api/domains?limit=2&page=1

To get your branded domains via the API, you can use this endpoint. You can also filter data (See table for more info).

Tham số Mô tả
limit (optional) Per page data result
page (optional) Current page request
curl --location --request GET 'https://bitly.com.vn/api/domains?limit=2&page=1' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/domains?limit=2&page=1",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'GET',
            'url': 'https://bitly.com.vn/api/domains?limit=2&page=1',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/domains?limit=2&page=1"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("GET", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Get, "https://bitly.com.vn/api/domains?limit=2&page=1");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}
Create a Branded Domain
POST https://bitly.com.vn/api/domain/add

A domain can be added using this endpoint. Please make sure the domain is correctly pointed to our server.

Tham số Mô tả
domain (required) Branded domain including http or https
redirectroot (optional) Root redirect when someone visits your domain
redirect404 (optional) Custom 404 redirect
curl --location --request POST 'https://bitly.com.vn/api/domain/add' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/domain/add",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "domain": "https:\/\/domain1.com",
	    "redirectroot": "https:\/\/rootdomain.com",
	    "redirect404": "https:\/\/rootdomain.com\/404"
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'POST',
            'url': 'https://bitly.com.vn/api/domain/add',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/domain/add"
        payload = {
    "domain": "https://domain1.com",
    "redirectroot": "https://rootdomain.com",
    "redirect404": "https://rootdomain.com/404"
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("POST", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Post, "https://bitly.com.vn/api/domain/add");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "id": 1
}
Cập nhật tên miền
PUT https://bitly.com.vn/api/domain/:id/update

To update a branded domain, you need to send a valid data in JSON via a PUT request. The data must be sent as the raw body of your request as shown below. The example below shows all the parameters you can send but you are not required to send all (See table for more info).

Tham số Mô tả
redirectroot (optional) Root redirect when someone visits your domain
redirect404 (optional) Custom 404 redirect
curl --location --request PUT 'https://bitly.com.vn/api/domain/:id/update' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/domain/:id/update",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "PUT",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            CURLOPT_POSTFIELDS => 
                '{
	    "redirectroot": "https:\/\/rootdomain-new.com",
	    "redirect404": "https:\/\/rootdomain-new.com\/404"
	}',
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'PUT',
            'url': 'https://bitly.com.vn/api/domain/:id/update',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}),
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/domain/:id/update"
        payload = {
    "redirectroot": "https://rootdomain-new.com",
    "redirect404": "https://rootdomain-new.com/404"
}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("PUT", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Put, "https://bitly.com.vn/api/domain/:id/update");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Domain has been updated successfully."
}
Delete Domain
DELETE https://bitly.com.vn/api/domain/:id/delete

To delete a domain, you need to send a DELETE request.

curl --location --request DELETE 'https://bitly.com.vn/api/domain/:id/delete' \
        --header 'Authorization: Bearer YOURAPIKEY' \
        --header 'Content-Type: application/json' \
        
$curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://bitly.com.vn/api/domain/:id/delete",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_MAXREDIRS => 2,
            CURLOPT_TIMEOUT => 10,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_CUSTOMREQUEST => "DELETE",
            CURLOPT_HTTPHEADER => [
                "Authorization: Bearer YOURAPIKEY",
                "Content-Type: application/json",
            ],
            
        ));

        $response = curl_exec($curl);

        curl_close($curl);
        echo $response;
var request = require('request');
        var options = {
            'method': 'DELETE',
            'url': 'https://bitly.com.vn/api/domain/:id/delete',
            'headers': {
                'Authorization': 'Bearer YOURAPIKEY',
                'Content-Type': 'application/json'
            },
            
        };
        request(options, function (error, response) {
            if (error) throw new Error(error);
            console.log(response.body);
        });
import requests
        url = "https://bitly.com.vn/api/domain/:id/delete"
        payload = {}
        headers = {
            'Authorization': 'Bearer YOURAPIKEY',
            'Content-Type': 'application/json'
        }
        response = requests.request("DELETE", url, headers=headers, json=payload)
        print(response.text)
        
var client = new HttpClient();
        var request = new HttpRequestMessage(HttpMethod.Delete, "https://bitly.com.vn/api/domain/:id/delete");
        request.Headers.Add("Authorization", "Bearer YOURAPIKEY");
        var content = new StringContent("{}", System.Text.Encoding.UTF8, "application/json");
        request.Content = content;
        var response = await client.SendAsync(request);
        response.EnsureSuccessStatusCode();
        Console.WriteLine(await response.Content.ReadAsStringAsync());
        
Phản hồi mẫu (Server Response)
{
    "error": 0,
    "message": "Domain has been deleted successfully."
}